[PATCH] zig.eclass: fix zig-pkg symlink in zig_live_src_unpack
Violet Purcell <[email protected]>
| Newsgroups | gmane.linux.gentoo.devel |
|---|---|
| Message-ID | <[email protected]> |
The new zig_live_src_unpack function (used by zig 0.16+) mistakenly
symlinks ${BUILD_DIR}/zig-pkg to ${WORKDIR}/zig-pkg, when zig seems to
instead fetch packages into ${S}/zig-pkg (presumably beside build.zig).
This leads to all 9999 packages being unable to find their dependencies
and failing to build. Fix this by changing the symlink from
${BUILD_DIR}/zig-pkg to ${S}/zig-pkg.
Signed-off-by: Violet Purcell <[email protected]>
---
eclass/zig.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/zig.eclass b/eclass/zig.eclass
index dec9f003b90b..29ccccee7d7b 100644
--- a/eclass/zig.eclass
+++ b/eclass/zig.eclass
@@ -508,7 +508,7 @@ zig_live_src_unpack() {
# Redirect hardcoded cache subfolder to same one
# as src_unpack and src_prepare use.
mkdir -p "${WORKDIR}/zig-pkg/" || die
- ln -s "${WORKDIR}/zig-pkg" "zig-pkg" || die
+ ln -s "${WORKDIR}/zig-pkg" "${S}/zig-pkg" || die
fi
einfo "ZBS: live-fetching with:"
--
2.54.0